unit IvCommon;

interface

const
  { Product verisons }

  LM_VER_C = '4.0';
  MDS_VER_C = '1.1';
  VCL_VER_C = '4.1';
  VB_VER_C = VCL_VER_C;
  JAVA_VER_C = '2.0';
  WFC_VER_C = '1.0';
  EPOC_VER_C = '1.0';

  VCL_VER_SUB_C = '21';
  VB_VER_SUB_C = VCL_VER_SUB_C;

{$IFDEF WIN32}
  { Registry keys }

  ML_KEY_C = '\Software\Multilizer';
  LM_KEY_C = ML_KEY_C + '\Language Manager\' + LM_VER_C;
  DS_KEY_C = ML_KEY_C + '\Dictionary Server\' + MDS_VER_C;
  DELPHI2_KEY_C = ML_KEY_C + '\Delphi 2\' + VCL_VER_C;
  DELPHI3_KEY_C = ML_KEY_C + '\Delphi 3\' + VCL_VER_C;
  DELPHI4_KEY_C = ML_KEY_C + '\Delphi 4\' + VCL_VER_C;
  DELPHI5_KEY_C = ML_KEY_C + '\Delphi 5\' + VCL_VER_C;
  CBUILDER1_KEY_C = ML_KEY_C + '\C++Builder 1\' + VCL_VER_C;
  CBUILDER3_KEY_C = ML_KEY_C + '\C++Builder 3\' + VCL_VER_C;
  CBUILDER4_KEY_C = ML_KEY_C + '\C++Builder 4\' + VCL_VER_C;
  VB_KEY_C = ML_KEY_C + '\Visual Basic\' + VB_VER_C;
  JAVA_KEY_C = ML_KEY_C + '\Java\' + JAVA_VER_C;
  WFC_KEY_C = ML_KEY_C + '\WFC\' + WFC_VER_C;
  EPOC_KEY_C = ML_KEY_C + '\EPOC\' + EPOC_VER_C;
{$ENDIF}

  { INI file data }

  INI_FILE_C = 'ivml16.ini';
  DELPHI1_SECTION_C = 'Delphi, ' + VCL_VER_C;
  VB16_SECTION_C = 'Visual Basic, ' + VB_VER_C;

  { Values }

  SERIAL_NUMBER_C = 'SerialNumber';
  ROOT_DIR_C = 'RootDir';
  DETECT_C = 'Detect';
  VENDOR_C = 'Vendor';
  DICTIONARY_CODE_C = 'DictionaryCode';

  LIMITED_VERSION_LANGAUGE_COUNT_C = 4;
  LIMITED_VERSION_TRANSLATION_COUNT_C = 500;

  ML_SHEET_C = 'Multilizer';

type
  TIvDetectType = (ivdtDisabled, ivdtPrompt, ivdtEnabled);

  TIvVendor = (ivveInnoview, ivveZac);

  TIvLicense =
  (
    liNone,
    liLimited,
    liEvaluation,
    liStandard,
    liProfessional
  );

const
  VENDOR_NAMES_C: array[TIvVendor] of String =
  (
    'Innoview',
    'ZAC'
  );

  LICENSE_NAMES_C: array[TIvLicense] of String =
  (
    'No license', {ivlm}
    'Limited', {ivlm}
    'Evaluation', {ivlm}
    'Standard', {ivlm}
    'Professional' {ivlm}
  );

implementation

end.
