{
  This unit registers the common dialog components of Multilizer.

  Copyrights 1995-1998 Innoview Data Technologies Oy
}

unit IvDlgReg;

{$I IVMULTI.INC}

interface

procedure Register;

implementation

uses
{$IFDEF WIN32}
  Windows,
{$ELSE}
  WinTypes, WinProcs,
{$ENDIF}
  IvDialog, IvMLDlgs, IvFiltEd, IvMulReg,
  Classes, Forms, DsgnIntf, Controls, Dialogs, SysUtils, TypInfo;

{$IFDEF WIN32}
{$R IvDlgR32.DCR}
{$ENDIF}

const
  SHEET_C = 'ML Old';

procedure Register;
begin
  { Multilingual common dialog components }

  RegisterComponents(SHEET_C, [TIvOpenDialog]);
  RegisterComponents(SHEET_C, [TIvSaveDialog]);
  {$IFDEF IVWIDE}
  RegisterComponents(SHEET_C, [TIvOpenPictureDialog]);
  RegisterComponents(SHEET_C, [TIvSavePictureDialog]);
  {$ENDIF}
  RegisterComponents(SHEET_C, [TIvFontDialog]);
  RegisterComponents(SHEET_C, [TIvColorDialog]);
  RegisterComponents(SHEET_C, [TIvPrintDialog]);
  RegisterComponents(SHEET_C, [TIvPrinterSetupDialog]);
  RegisterComponents(SHEET_C, [TIvFindDialog]);
  RegisterComponents(SHEET_C, [TIvReplaceDialog]);

  RegisterPropertyEditor(
    TypeInfo(String),
    TIvCommonDialog,
    'DictionaryName',
    TIvDictionaryNameProperty);

  RegisterPropertyEditor(
    TypeInfo(String),
    TIvOpenDialog,
    'Filter',
    TIvFilterProperty);
end;

end.
