{
  This unit registers the bidirectional components of Multilizer.

  These components are required to build bi-di enabled applications using
  Delphi 2/3 or C++Builder 1/3. Later version do not require them any more.

  Copyrights 1995-1998 Innoview Data Technologies Oy
}

unit IvBidReg;

{$I IVMULTI.INC}

interface

procedure Register;

implementation

uses
{$IFDEF WIN32}
  Windows,
  IvGrids, IvDBGrid,
{$ELSE}
  WinTypes, WinProcs,
{$ENDIF}
  Classes, Forms, DsgnIntf, Controls, Dialogs, SysUtils, TypInfo,
  IvMlCtrl, IvDBMlCt;

{$IFDEF WIN32}
{$R IvBidR32.DCR}
{$ENDIF}

procedure Register;
begin
  { Multilingual VLC components }

  RegisterComponents('ML Controls', [TIvLabel]);
  RegisterComponents('ML Controls', [TIvGroupBox]);
  RegisterComponents('ML Controls', [TIvRadioGroup]);
  RegisterComponents('ML Controls', [TIvListBox]);
  RegisterComponents('ML Controls', [TIvComboBox]);
{$IFDEF WIN32}
  RegisterComponents('ML Controls', [TIvStringGrid]);
  RegisterComponents('ML Controls', [TIvDrawGrid]);
{$ENDIF}

  { Multilingual DB VLC components }

  RegisterComponents('ML Controls', [TIvDBText]);
  RegisterComponents('ML Controls', [TIvDBRadioGroup]);
  RegisterComponents('ML Controls', [TIvDBListBox]);
  RegisterComponents('ML Controls', [TIvDBComboBox]);
  RegisterComponents('ML Controls', [TIvDBLookupListBox]);
  RegisterComponents('ML Controls', [TIvDBLookupComboBox]);
{$IFDEF WIN32}
  RegisterComponents('ML Controls', [TIvDBGrid]);
{$ENDIF}
end;

end.

